# TransactionContext

class TransactionContext (val databaseContext: CoroutineContext ) : CoroutineContext.Element (source)

## Constructors

TransactionContext
Link copied to clipboard
constructor(databaseContext: CoroutineContext )

## Types

Companion
Link copied to clipboard
object Companion : CoroutineContext.Key < TransactionContext >

## Properties

databaseContext
Link copied to clipboard
val databaseContext : CoroutineContext
key
Link copied to clipboard
open override val key : CoroutineContext.Key < TransactionContext >

## Functions

fold
Link copied to clipboard
open override fun < R > fold (initial: R , operation: ( R , CoroutineContext.Element ) -> R ): R
get
Link copied to clipboard
open operator override fun < E : CoroutineContext.Element > get (key: CoroutineContext.Key < E >): E ?
LinkedSupervisorJob
Link copied to clipboard
fun CoroutineContext . LinkedSupervisorJob (additionalContext: CoroutineContext ? = null): CoroutineContext

Creates a SupervisorJob linked to this CoroutineContext's job. The new supervisor job will be a child of the current job, and optionally combined with additionalContext.

LinkedSupervisorScope
Link copied to clipboard
fun CoroutineContext . LinkedSupervisorScope (additionalContext: CoroutineContext ? = null): CoroutineScope

Creates a new CoroutineScope with a SupervisorJob linked to this CoroutineContext's job. The new scope's supervisor job will be a child of the current job, and optionally combined with additionalContext.

minusKey
Link copied to clipboard
open override fun minusKey (key: CoroutineContext.Key <*>): CoroutineContext
plus
Link copied to clipboard
open operator fun plus (context: CoroutineContext ): CoroutineContext